gnutls_x509_crt_get_extension_oid(3)

NAME
gnutls_x509_crt_get_extension_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_extension_oid(gnutls_x509_crt_t cert, int indx, void * oid, size_t * oid_size);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t type

int indx
    Specifies which extension OID to send. Use (0) to get the first one.

void * oid
    a pointer to a structure to hold the OID (may be null)

size_t * oid_size
    initially holds the size of oid

DESCRIPTION
This function will return the requested extension OID in the certificate. The extension OID will be stored as a string in the provided buffer. The oid returned will be null terminated, although oid_size will not account for the trailing null.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned. If you have reached the last extension available GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/